Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Interface PaymentTransactionHome

All Superinterfaces:
  EJBHome, Remote, SmartEJBHome, SmartHome

public interface PaymentTransactionHome
extends SmartEJBHome

The home interface for the PaymentTransaction entity bean. Use this class to create, remove, and find PaymentTransaction entity beans.

Method Summary
`PaymentTransaction` | `create(PaymentTransactionPk paymentTransactionPk)` Create a new PaymentTransaction entity bean using the com.beasys.commerce.ebusiness.payment.PaymentTransactionPk.
`PaymentTransaction` | `findByPrimaryKey(PaymentTransactionPk paymentTransactionPk)` Find an PaymentTransaction entity bean using the com.beasys.commerce.ebusiness.payment.PaymentTransactionPk.
`Collection` | `findByStatus(String status)` Finds transactions by status.

Methods inherited from interface javax.ejb.EJBHome
`getEJBMetaData, getHomeHandle, remove, remove`

Method Detail

### create

    public PaymentTransaction create(PaymentTransactionPk paymentTransactionPk)
                              throws CreateException,
                                     RemoteException

  Create a new PaymentTransaction entity bean using the com.beasys.commerce.ebusiness.payment.PaymentTransactionPk.

  Throws:
    `CreateException`
    `RemoteException`

### findByPrimaryKey

    public PaymentTransaction findByPrimaryKey(PaymentTransactionPk paymentTransactionPk)
                                        throws RemoteException,
                                               FinderException

  Find an PaymentTransaction entity bean using the com.beasys.commerce.ebusiness.payment.PaymentTransactionPk.

  Throws:
    `RemoteException`
    `FinderException`

### findByStatus

    public Collection findByStatus(String status)
                            throws RemoteException,
                                   FinderException

  Finds transactions by status. Valid states are those defined in the `PaymentWorkflow` state machine.

  Throws:
    `RemoteException`
    `FinderException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved